package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class BigH5EventConfig extends JceStruct {
    public Action action;
    static Action cache_action;
    static EventValidateInfo cache_validateInfo;
    public EventValidateInfo validateInfo;

    static {
        BigH5EventConfig.cache_validateInfo = new EventValidateInfo();
        BigH5EventConfig.cache_action = new Action();
    }

    public BigH5EventConfig() {
        super();
        this.validateInfo = null;
        this.action = null;
    }

    public BigH5EventConfig(EventValidateInfo arg2, Action arg3) {
        super();
        this.validateInfo = null;
        this.action = null;
        this.validateInfo = arg2;
        this.action = arg3;
    }

    public final void readFrom(c arg4) {
        this.validateInfo = (EventValidateInfo) arg4.a(BigH5EventConfig.cache_validateInfo, 0, false);
        this.action = (Action) arg4.a(BigH5EventConfig.cache_action, 1, false);
    }

    public final void writeTo(d arg3) {
        if(this.validateInfo != null) {
            arg3.a(this.validateInfo, 0);
        }

        if(this.action != null) {
            arg3.a(this.action, 1);
        }
    }

}
